/* Color Configuration */
:root {
    --brand-color: #C4161C;
    --red-hover: #9E0B0F;
    --red-error: #C4161C;
    --orange-warning: #F58220;
    --green-success:#00A650;
    --blue: #039BE5;
    --blue-hover: #007BB9;
    --blue-info: #007BB9;
    --white-pure: #FFFFFF;
    --grey-border: #CECECE;
    --grey-background: #F2F2F2;
    --grey-topografic: #7F7F7F;
    --dark-color: #1e1d1d;
    --dark-grey: #333;
    --dark-pure: #000;
    --grey-medium: #6c6c6c;
    --grey-steel: #4D565F;
    --grey-soft: #F2F2F266;
}

/* font size */
.n-font-s-36 {
    font-size: 36px;
    line-height: 36px;
}
.n-font-s-24 {
    font-size: 24px;
    line-height: 24px;
}
.n-font-s-25 {
    font-size: 25px;
    line-height: 25px;
}
.n-font-s-16 {
    font-size: 16px;
    line-height: 16px;
}

.n-font-s-18{
    font-size: 18px;
    line-height: 18px;
}
.n-font-s-14{
    font-size: 14px;
    line-height: 18px;
}
.n-font-s-12 {
    font-size: 12px;
    line-height: 15px;
}
.n-font-s-10 {
    font-size: 10px;
    line-height: 12px;
}
.n-font-s-18 {
    font-size: 18px;
    line-height: 21.6px;
}

/* font weight */
.n-gustan-black {
    font-weight: 700;
}
.n-gustan-bold {
    font-weight: 600;
}
.n-gustan-medium {
    font-weight: 500;
}
.n-gustan-book {
    font-weight: 400;
}
.n-gustan-light {
    font-weight: 100;
}

/* font color */
.n-color-grey {
    color: var(--grey-topografic);
}
.n-color-orange {
    color: var(--orange-warning);
}
.n-color-red {
    color: var(--red-error);
}
.n-back-grey {
    background-color: var(--grey-background);   
} 
.n-back-white {
    background-color: var(--white-pure);   
}
.n-back-grey-soft {
    background-color: var(--grey-soft);
}
.n-color-dark {
    color: var(--dark-color);
}
.n-color-dark-grey {
    color: var(--dark-grey);
}
.n-color-dark-pure {
    color: var(--dark-pure);
}
.n-color-grey-medium {
    color: var(--grey-medium);
}
.n-color-grey-steel {
    color: var(--grey-steel);
}
.n-color-grey-soft {
    color: var(--grey-soft);
}
.n-color-deep-red {
    color: var(--brand-color);
}
/* display flex */
.n-df {
    display: flex;
    gap: 5px;
}
.n-df-j-c {
    justify-content: center;
}
.n-df-j-s {
    justify-content: flex-start;
}
.n-df-j-e {
    justify-content: flex-end;
}
.n-df-j-sb {
    justify-content: space-between;
}
.n-df-j-sa {
    justify-content: space-around;
}
.n-df-j-se {
    justify-content: space-evenly;
}
.n-df-a-c {
    align-items: center;
}
.n-df-a-e {
    align-items: flex-end;
}
.n-df-a-s {
    align-items: flex-start;
}
.n-df-a-strech {
    align-items: stretch;
}
.n-df-a-self-start {
    align-self: flex-start;
}
.n-df-a-self-end {
    align-self: flex-end;
}
.n-ta-c {
    text-align: center;
}
.n-ta-r {
    text-align: right;
}
.n-ta-s {
    text-align: start;
}
.n-df-fdc {
    flex-direction: column
}
.n-df-grow {
    flex-grow: 1;
    flex-shrink: 1;
    min-width: 0;
}
.n-df-flex-1 {
    flex: 1;
}
.n-flex-50-10 {
    flex: 1 1 calc(50% - 10px);
}
.d-width-100 {
    width: 100%;
}
.n-fw {
    flex-wrap: wrap;
}
.n-m-0 {
    margin: 0;
}
.n-m-5 {
    margin: 5;
}
.n-m-10 {
    margin: 10;
}
.n-m-15 {
    margin: 15;
}
.n-m-16 {
    margin: 16px;
}
.n-m-20 {
    margin: 20;
}

.n-mt-10 {
    margin-top: 10px;
}
.n-mt-15 {
    margin-top: 15px;
}
.n-mtn-40 {
    margin-top:-40px;
}
.n-mt-0 {
    margin-top:0px;
}
.n-mt-20 {
    margin-top: 20px;
}
.n-mb-0 {
    margin-bottom: 0px;
}    
.n-mt-2 {
    margin-top: 2px;
}
.n-mb-10 {
    margin-bottom: 10px;
}
.n-mb-12 {
    margin-bottom: 12px;
}
.n-mb-20 {
    margin-bottom: 20px;
}
.n-mrn-5 {
    margin-right:-5px;
}

.n-ml-a{
    margin-left:auto;
}

.n-ml-16{
    margin-left:16px;
}



.n-p-0{
    padding: 0px;
}
.n-p-4 {
    padding: 4px;
}
.n-p-5 {
    padding: 5px;
}
.n-p-10 {
    padding: 10px;
}
.n-p-16 {
    padding: 16px;
}
.n-p-20 {
    padding: 20px;
}
.n-pb-5 {
    padding-bottom: 5px;
}
.n-pb-10 {
    padding-bottom: 10px;
}
.n-pb-15 {
    padding-bottom: 15px;
}
.n-pb-16 {
    padding-bottom: 16px;
}
.n-pb-20 {
    padding-bottom: 20px;
}
.n-pt-5 {
    padding-top: 5px;
}
.n-pt-10 {
    padding-top: 10px;
}
.n-pt-15 {
    padding-top: 15px;
}

.n-pt-20 {
    padding-top: 20px;
}

.n-pt-16{
    padding-top: 16px;
}
.n-pt-20{
    padding-top: 20px;
}
.n-pl-5{
    padding-left: 5px;
}
.n-p-sides-16{
    padding: 0 16px;
}

/* Elements styles */
.n-gap-2{
    gap: 2px;
}
.n-gap-6{
    gap: 6px;
}
.n-gap-10 {
    gap: 10px;
}
.n-gap-16 {
    gap: 16px;
}
.n-gap-20 {
    gap: 20px;
}

.n-underline {
    border-bottom: 1px solid var(--grey-border);
}
.n-border {
    border: 1px solid var(--grey-border);
}
.n-border-top {
    border-top: 1px solid var(--grey-border);
}
.n-border-radius-5 {
    border-radius: 5px;
}
.n-ellipsis {
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}
.text-clamp-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-clamp: 2;
}

/* button styles */
.n-btn {
    background-color: var(--brand-color);
    border: none;
    border-radius: 5px;
    color: var(--white-pure);
    font-weight: 500;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    flex-shrink: 0;
    max-width: 100%;
    white-space: nowrap; 
}

.n-btn-secondary {
    background-color: var(--white-pure);
    border: 1px solid var(--brand-color);
    border-radius: 5px;
    color: var(--brand-color);
    font-weight: 500;
    font-size: 16px;
    display: flex;
    gap: 5px;
}

.n-btn-info {
    background-color: var(--white-pure);
    border: 1px solid var(--blue);
    border-radius: 5px;
    color: var(--blue);
    font-weight: 500;
    font-size: 16px;
    display: flex;
    gap: 5px;
}

.n-btn-borderless {
    border: none;
    background-color: transparent;
    color: var(--blue);
    font-weight: 500;
    font-size: 16px;
    display: flex;
    gap: 16px;
}

.n-btn-link {
    background: none;
    border: none;
    color: var(--blue);
    cursor: pointer;
}

.n-btn-l {
    height: 50px;
    padding: 15px 20px;
}

.n-btn-m {
    height: 40px;
    padding: 10px 20px;
}

.n-btn-s {
    height: 30px;
    padding: 5px 10px;
}

.n-btn-unstyled {
    background: none;
    border: none;
    padding: 0;
    color: inherit;
    cursor: pointer;
    width: 100%;
}

.n-btn-l:hover, .n-btn-l:focus, .n-btn-l:active,
.n-btn-m:hover, .n-btn-m:focus, .n-btn-m:active,
.n-btn-s:hover, .n-btn-s:focus, .n-btn-s:active {
    background-color: var(--red-hover);
    color: var(--white-pure);
    text-decoration: none;
}

.n-btn-info:hover, .n-btn-info:focus, .n-btn-info:active {
    background-color: var(--white-pure);
    color: var(--blue-hover);
    border-color: var(--blue-hover);
}

.n-btn-borderless:hover, .n-btn-borderless:focus, .n-btn-borderless:active {
    color: var(--blue-hover);
    background-color: transparent;
}

/* content box */

.n-content-box {
    border: 1px solid var(--grey-border);
    border-radius: 5px;
    background-color: var(--white-pure);
    padding: 16px;
}
.n-list-unstyled {
    list-style: none;
    margin: 0;
    padding: 0;
}
/* others */

.n-link, .n-link:hover, .n-link:focus, .n-link:active {
    color: var(--blue);
    text-decoration: underline;
}

.n-link-no-decoration,
.n-link-no-decoration:hover,
.n-link-no-decoration:focus,
.n-link-no-decoration:active {
    color: var(--blue);
    text-decoration: none;
}
.n-fr  {
    float:right;
}
.n-text-normal-case {
    text-transform: none;
}
.n-text-capitalize-case {
    text-transform: capitalize;
}
.n-text-uppercase {
    text-transform: uppercase;
}
.n-rotate-180{
    transform: rotate(180deg); 
}

.n-text-underline{
    text-decoration:underline;
}

.n-cursor-p {
    cursor: pointer;
}

.n-lh-24 {
    line-height: 24px;
}